umbrello: LayoutGrid Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Attributes | List of all members
LayoutGrid Class Reference

`#include <layoutgrid.h>`

## Public Member Functions
| LayoutGrid (UMLScene *scene)
| ~LayoutGrid ()
void | paint (QPainter *painter, const QRectF &rect)
QRect | gridRect () const
void | setGridRect (const QRect &rect)
int | gridSpacingX () const
int | gridSpacingY () const
void | setGridSpacing (int sizeX, int sizeY)
const QColor & | gridDotColor () const
void | setGridDotColor (const QColor &color)
const QColor & | gridCrossColor () const
void | setGridCrossColor (const QColor &color)
const QColor & | textColor () const
void | setTextColor (const QColor &color)
QFont | textFont () const
void | setTextFont (const QFont &font)
bool | isVisible () const
void | setVisible (bool visible)
bool | isTextVisible () const
void | setTextVisible (bool visible)

## Private Attributes
UMLScene * | m_scene
int | m_gridSpacingX
int | m_gridSpacingY
QColor | m_gridDotColor
bool | m_isVisible

## Detailed Description

Author
  Andi Fischer This class handles the layout grid, which is drawn in the background of the scene. It is used only in UMLScene.

## Constructor & Destructor Documentation

## ◆ LayoutGrid()

LayoutGrid::LayoutGrid | ( | UMLScene * | scene | ) |
| explicit

Constructor.

## ◆ ~LayoutGrid()

LayoutGrid::~LayoutGrid | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ gridCrossColor()

const QColor & LayoutGrid::gridCrossColor | ( |  | ) | const

## ◆ gridDotColor()

const QColor & LayoutGrid::gridDotColor | ( |  | ) | const

## ◆ gridRect()

QRect LayoutGrid::gridRect | ( |  | ) | const

## ◆ gridSpacingX()

int LayoutGrid::gridSpacingX | ( |  | ) | const

## ◆ gridSpacingY()

int LayoutGrid::gridSpacingY | ( |  | ) | const

## ◆ isTextVisible()

bool LayoutGrid::isTextVisible | ( |  | ) | const

## ◆ isVisible()

bool LayoutGrid::isVisible | ( |  | ) | const

## ◆ paint()

void LayoutGrid::paint | ( | QPainter * | painter,
|  | const QRectF & | rect
| ) |  |

## ◆ setGridCrossColor()

void LayoutGrid::setGridCrossColor | ( | const QColor & | color | ) |

## ◆ setGridDotColor()

void LayoutGrid::setGridDotColor | ( | const QColor & | color | ) |

## ◆ setGridRect()

void LayoutGrid::setGridRect | ( | const QRect & | rect | ) |

## ◆ setGridSpacing()

void LayoutGrid::setGridSpacing | ( | int | sizeX,
|  | int | sizeY
| ) |  |

## ◆ setTextColor()

void LayoutGrid::setTextColor | ( | const QColor & | color | ) |

## ◆ setTextFont()

void LayoutGrid::setTextFont | ( | const QFont & | font | ) |

## ◆ setTextVisible()

void LayoutGrid::setTextVisible | ( | bool | visible | ) |

## ◆ setVisible()

void LayoutGrid::setVisible | ( | bool | visible | ) |

## ◆ textColor()

const QColor & LayoutGrid::textColor | ( |  | ) | const

## ◆ textFont()

QFont LayoutGrid::textFont | ( |  | ) | const

## Member Data Documentation

## ◆ m_gridDotColor

QColor LayoutGrid::m_gridDotColor
| private

## ◆ m_gridSpacingX

int LayoutGrid::m_gridSpacingX
| private

## ◆ m_gridSpacingY

int LayoutGrid::m_gridSpacingY
| private

## ◆ m_isVisible

bool LayoutGrid::m_isVisible
| private

## ◆ m_scene

UMLScene* LayoutGrid::m_scene
| private

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/layoutgrid.h
- umbrello/umlwidgets/layoutgrid.cpp